org.springframework.data.spel

## Class ExpressionDependencies.ExpressionDependency

- java.lang.Object
- - org.springframework.data.spel.ExpressionDependencies.ExpressionDependency

Enclosing class:
  ExpressionDependencies

    public static class ExpressionDependencies.ExpressionDependency
    extends Object

Value object to describe a dependency to a method or property/field that is referenced from a SpEL expression.

Since:
  2.4
Author:
  Mark Paluch

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`static ExpressionDependencies.ExpressionDependency` `forMethod(String methodName)` Create a new `ExpressionDependencies.ExpressionDependency` for a method.
`static ExpressionDependencies.ExpressionDependency` `forPropertyOrField(String fieldOrPropertyName)` Create a new `ExpressionDependencies.ExpressionDependency` for a property or field.
`String` `getSymbol()`
`int` `hashCode()`
`boolean` `isMethod()`
`boolean` `isNested()`
`boolean` `isPropertyOrField()`
`boolean` `isTopLevel()`
`ExpressionDependencies.ExpressionDependency` `nest(int level)` Associate a nesting `level` with the `ExpressionDependencies.ExpressionDependency`.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### forMethod

    public static ExpressionDependencies.ExpressionDependency forMethod(String methodName)

Create a new `ExpressionDependencies.ExpressionDependency` for a method.

Parameters:
  `methodName` - the method name.
Returns:
  a method dependency on `methodName`.

#### forPropertyOrField

    public static ExpressionDependencies.ExpressionDependency forPropertyOrField(String fieldOrPropertyName)

Create a new `ExpressionDependencies.ExpressionDependency` for a property or field.

Parameters:
  `fieldOrPropertyName` - the property/field name.
Returns:
  a method dependency on `fieldOrPropertyName`.

#### nest

    public ExpressionDependencies.ExpressionDependency nest(int level)

Associate a nesting `level` with the `ExpressionDependencies.ExpressionDependency`. Returns

Parameters:
  `level` -
Returns:

#### isNested

    public boolean isNested()

#### isTopLevel

    public boolean isTopLevel()

#### isMethod

    public boolean isMethod()

#### isPropertyOrField

    public boolean isPropertyOrField()

#### getSymbol

    public String getSymbol()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`